Skip to main content
`Ctrl`+`K`

# Optimization

class astropy.modeling.optimizers.Optimization

  Bases: `ABC`

  Base class for optimizers.

  Parameters:
    opt_method `python:callable()`

      Implements optimization method

  Notes

  The base Optimizer does not support any constraints by default; individual optimizers should explicitly set this list to the specific constraints it supports.

  Attributes Summary

  `acc` | Requested accuracy.
  `eps` | Step for the forward difference approximation of the Jacobian.
  `maxiter` | Maximum number of iterations.
  `opt_method` | Return the optimization method.
  `supported_constraints` |

  Methods Summary

  `__call__`() | Call self as a function.

  Attributes Documentation

  acc

    Requested accuracy.

  eps

    Step for the forward difference approximation of the Jacobian.

  maxiter

    Maximum number of iterations.

  opt_method

    Return the optimization method.

  supported_constraints = []

  Methods Documentation

  abstractmethod __call__()

    Call self as a function.